String.prototype.persianNumber = function() {
	return this.split('0').join('۰')
		.split('1').join('۱')
		.split('2').join('۲')
		.split('3').join('۳')
		.split('4').join('۴')
		.split('5').join('۵')
		.split('6').join('۶')
		.split('7').join('۷')
		.split('8').join('۸')
		.split('9').join('۹');
};

var r = document.getElementById('background-color-r').value;
var g = document.getElementById('background-color-g').value;
var b = document.getElementById('background-color-b').value;

var timer = null;
var flag = 'positive';
var defaultColor = 'black';
var defaultBGColor = 'rgb('+r+', '+g+', '+b+')';
var timeOutColor = 'red';
var timeOutBGColor = 'rgb('+r+', '+g+', '+b+')';

document.getElementById('do').onclick = function() {
	clearInterval(timer);
	flag = 'positive';
	document.getElementById('timer').style.color = defaultColor;
	document.getElementById('timer').style.backgroundColor = defaultBGColor;
	var minuteElement = document.getElementById('minute');
	var secondElement = document.getElementById('second');
	var minuteValue = document.getElementById('setter').value;
	var secondValue = 0;
	timer = setInterval(function() {
		var r = document.getElementById('background-color-r').value;
		var g = document.getElementById('background-color-g').value;
		var b = document.getElementById('background-color-b').value;
		defaultBGColor = 'rgb('+r+', '+g+', '+b+')';
		timeOutBGColor = 'rgb('+r+', '+g+', '+b+')';

		if(minuteValue == 0 && secondValue == 0) {
			flag = 'negative';
		}
		if(flag == 'positive') {
			document.getElementById('timer').style.color = defaultColor;
			document.getElementById('timer').style.backgroundColor = defaultBGColor;
			if(secondValue <= 0) {
				secondValue = 59;
				minuteValue--;
			}
			else {
				secondValue--;
			}
		}
		else {
			document.getElementById('timer').style.color = timeOutColor;
			document.getElementById('timer').style.backgroundColor = timeOutBGColor;
			if(secondValue >= 59) {
				secondValue = 0;
				minuteValue--;
			}
			else {
				secondValue++;
			}
		}

		if(minuteValue >= 0 && minuteValue <= 9) {
			minuteElement.textContent = '۰'+(parseInt(minuteValue).toString().persianNumber());
			if(minuteValue == 0 && flag == 'negative') {
				minuteElement.textContent = '-'+(parseInt(minuteValue).toString().persianNumber());
			}
		}
		else {
			minuteElement.textContent = parseInt(minuteValue).toString().persianNumber();
		}
		if(secondValue >= 0 && secondValue <= 9) {
			secondElement.textContent = '۰'+(parseInt(secondValue).toString().persianNumber());
		}
		else {
			secondElement.textContent = parseInt(secondValue).toString().persianNumber();
		}
		
		
			//---------------------------ezafe shode-------------------
			var r = document.getElementById('background-color-r').value;
			var g = document.getElementById('background-color-g').value;
			var b = document.getElementById('background-color-b').value;
			document.body.style.backgroundColor = 'rgb('+r+', '+g+', '+b+')';
			//---------------------------ezafe shode------------------------
			
			
			
	}, 1000);
};

document.getElementById('font-size').onchange = function() {
	document.getElementById('timer').style.fontSize = (this.value+'px');
};

document.getElementById('background-color-r').onchange = function() {
	var r = document.getElementById('background-color-r').value;
	var g = document.getElementById('background-color-g').value;
	var b = document.getElementById('background-color-b').value;
	document.body.style.backgroundColor = 'rgb('+r+', '+g+', '+b+')';
};

document.getElementById('background-color-g').onchange = function() {
	var r = document.getElementById('background-color-r').value;
	var g = document.getElementById('background-color-g').value;
	var b = document.getElementById('background-color-b').value;
	document.body.style.backgroundColor = 'rgb('+r+', '+g+', '+b+')';
};

document.getElementById('background-color-b').onchange = function() {
	var r = document.getElementById('background-color-r').value;
	var g = document.getElementById('background-color-g').value;
	var b = document.getElementById('background-color-b').value;
	document.body.style.backgroundColor = 'rgb('+r+', '+g+', '+b+')';
};
